Package com.google.earth.kml._2

# Class Vec2Type

java.lang.Object
com.google.earth.kml._2.Vec2Type

public class Vec2Type extends Object
<p>Java class for vec2Type complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="vec2Type"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <attribute name="x" type="{http://www.w3.org/2001/XMLSchema}double" default="1.0" /> <attribute name="y" type="{http://www.w3.org/2001/XMLSchema}double" default="1.0" /> <attribute name="xunits" type="{http://earth.google.com/kml/2.1}unitsEnum" default="fraction" /> <attribute name="yunits" type="{http://earth.google.com/kml/2.1}unitsEnum" default="fraction" /> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Double`
  `x`
  `protected UnitsEnum`
  `xunits`
  `protected Double`
  `y`
  `protected UnitsEnum`
  `yunits`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Vec2Type()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getX()`
  Gets the value of the x property.
  `UnitsEnum`
  `getXunits()`
  Gets the value of the xunits property.
  `double`
  `getY()`
  Gets the value of the y property.
  `UnitsEnum`
  `getYunits()`
  Gets the value of the yunits property.
  `void`
  `setX(Double value)`
  Sets the value of the x property.
  `void`
  `setXunits(UnitsEnum value)`
  Sets the value of the xunits property.
  `void`
  `setY(Double value)`
  Sets the value of the y property.
  `void`
  `setYunits(UnitsEnum value)`
  Sets the value of the yunits property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    protected Double x

  - ### y

    protected Double y

  - ### xunits

    protected UnitsEnum xunits

  - ### yunits

    protected UnitsEnum yunits

- ## Constructor Details

  - ### Vec2Type

    public Vec2Type()

- ## Method Details

  - ### getX

    public double getX()
    Gets the value of the x property.
    Returns:
      possible object is `Double`

  - ### setX

    public void setX(Double value)
    Sets the value of the x property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getY

    public double getY()
    Gets the value of the y property.
    Returns:
      possible object is `Double`

  - ### setY

    public void setY(Double value)
    Sets the value of the y property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getXunits

    public UnitsEnum getXunits()
    Gets the value of the xunits property.
    Returns:
      possible object is `UnitsEnum`

  - ### setXunits

    public void setXunits(UnitsEnum value)
    Sets the value of the xunits property.
    Parameters:
      `value` - allowed object is `UnitsEnum`

  - ### getYunits

    public UnitsEnum getYunits()
    Gets the value of the yunits property.
    Returns:
      possible object is `UnitsEnum`

  - ### setYunits

    public void setYunits(UnitsEnum value)
    Sets the value of the yunits property.
    Parameters:
      `value` - allowed object is `UnitsEnum`